petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatAYPX

Computes Y = a*Y + X.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatAYPX(Mat Y,PetscScalar a,Mat X,MatStructure str)

Logically on Mat Many br

### Input Parameters

| a | - the PetscScalar multiplier Many br
| Y | - the first matrix Many br
| X | - the second matrix Many br
| str | - either SAME_NONZERO_PATTERN, DIFFERENT_NONZERO_PATTERN or SUBSET_NONZERO_PATTERN Many br

Many br

### Keywords

matrix, add

### See Also

MatAXPY()

Level:intermediate
Location:src/mat/utils/axpy.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages